import os
import sys
import time

import requests
import json
sys.path.append(os.getcwd())
from common import Oss, Common
from common.pq_utility import PQ
from common.url_manage import urlManage

class shipinhaoVdieo():

    @classmethod
    def get_videoList(cls, vx_message, channel):
        try:
            data_link = vx_message[1]
            data_link = json.loads(data_link)
            nickname = data_link.get('nickname', '')
            title = data_link.get('title', '')
            Common.logger().info(f'渠道:{channel},用户名:{title}, 标题:{title}')
            if title == '':
                return "标题为空"
            video_url = ''
            for i in range(3):
                time.sleep(1)
                url = "http://61.48.133.26:30001/SearchContentFristPageMediaInfo"
                payload = json.dumps({
                    "content": title,
                    "show_detail": "1"
                })
                headers = {
                    'Content-Type': 'application/json'
                }
                response = requests.request("POST", url, headers=headers, data=payload)
                data_list = response.json()
                list = data_list.get('data', [])
                sub_boxes = list[0].get('subBoxes', [])
                for sub_boxe in sub_boxes:
                    name_title = sub_boxe["items"][0].get('source',[])["title"]
                    if name_title == nickname:
                        video_url = sub_boxe["items"][0]['videoUrl']
                        break
            if video_url == '':
                return "无法搜索到视频"
            # 随机生成视频oss_id
            video_id = urlManage.random_id()
            oss_object_key = Oss.video_url_upload_oss(video_url, video_id)
            Common.logger().info(f'上传OSS成功')
            oss_object_key.get("status")
            oss_object_key = oss_object_key.get("oss_object_key")
            Common.logger().info(f'准备发送站内参数:{oss_object_key},{title},{vx_message[3]}')
            piaoquantv = PQ.insert_piaoquantv(oss_object_key, title, vx_message[3])
            if piaoquantv == False:
                return "视频发送到站内失败"
        except Exception as e:
            Common.logger().info(f'报错信息:{e}')
            return f"处理报错，报错信息{e}"



